### Method

# Gtk TextBuffer insert_with_tags_by_name

#### Declaration [src]

    void
    gtk_text_buffer_insert_with_tags_by_name (
      GtkTextBuffer* buffer,
      GtkTextIter* iter,
      const char* text,
      int len,
      const char* first_tag_name,
      ...
    )

#### Description [src]

Inserts `text` into `buffer` at `iter`, applying the list of tags to the newly-inserted text.

Same as `gtk_text_buffer_insert_with_tags()`, but allows you to pass in tag names instead of tag objects.

This method is not directly available to language bindings.

#### Parameters

`iter`

  Type: `GtkTextIter`

  Position in `buffer`.

  The data is owned by the caller of the method.

`text`

  Type: `const char*`

  UTF-8 text.

  The data is owned by the caller of the method.
  The value is a NUL terminated UTF-8 string.

`len`

  Type: `int`

  Length of `text`, or -1

`first_tag_name`

  Type: `const char*`

  Name of a tag to apply to `text`.

  The data is owned by the caller of the method.
  The value is a NUL terminated UTF-8 string.

`...`

  Type: ``

  More tag names.